Subject: Re[2]: Space in username error; stomped newbie
From: Pavel Tsekov <[email-masked]>
To: "Rincewind" <[email-masked]>
Cc: "Pavel Tsekov" <[email-masked]>
Date: Wed, 27 Mar 2002 10:46:46 +0100

Hello Rincewind,

Wednesday, March 27, 2002, 10:11:44 AM, you wrote:

>> R> My login name in Win XP have a space in it wich is no good so I want to
>> R> force CygWin to use another account that doesn't ahve that problem.
>>
>> [snip]
>>
>> Read /usr/doc/Cygwin/login.README - it contains information on how to
>> map WinNT/2000/XP accounts to entries in /etc/passwd.

R> Thanks, but I checked that file, and although I didn't get it completely the
R> suggested changes seems to be as my passwd file is as default more or less,
R> I tried setting the U-user bit for the account I want to use but always get
R> a "incorrect login" with or without it.

1. Assume I have a user called Pavel Tsekov on my XP

2. mkpasswd -l -u 'Pavel Tsekov' outputs this (on one line):

Pavel Tsekov:unused_by_nt/2000/xp:1009:513:Pavel Tsekov,U-MORDOR\Pavel Tsekov,S-
1-5-21-1161744426-645757453-568730901-1009:/home/Pavel Tsekov:/bin/bash

3. I want a shorter name to use in cygwin so I modify the line above
to look like this:

ptsekov:unused_by_nt/2000/xp:1009:513:Pavel Tsekov,U-MORDOR\Pavel Tsekov,S-
1-5-21-1161744426-645757453-568730901-1009:/home/ptsekov:/bin/bash

Now cygwin knows I want to be refered to as ptsekov but it has to
consider the security settings for Pavel Tsekov in the NT account
database.

Isn't this what you want to achieve ?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/